org.apache.hc.core5.reactor

## Class EndpointParameters

- java.lang.Object
- - org.apache.hc.core5.reactor.EndpointParameters

- All Implemented Interfaces:
    NamedEndpoint

      @Internal
      public final class EndpointParameters
      extends Object
      implements NamedEndpoint

  Endpoint initialization parameters
  Since:
    5.1

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `EndpointParameters(HttpHost host, Object attachment)`
    `EndpointParameters(String scheme, String hostName, int port, Object attachment)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `Object` | `getAttachment()`
    `String` | `getHostName()` Returns name (IP or DNS name).
    `int` | `getPort()` Returns the port.
    `String` | `getScheme()`
    `String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### EndpointParameters

          public EndpointParameters(String scheme,
                                    String hostName,
                                    int port,
                                    Object attachment)

    - #### EndpointParameters

          public EndpointParameters(HttpHost host,
                                    Object attachment)

  - ### Method Detail

    - #### getScheme

          public String getScheme()

    - #### getHostName

          public String getHostName()

      Description copied from interface: `NamedEndpoint`
      Returns name (IP or DNS name).
      Specified by:
        `getHostName` in interface `NamedEndpoint`
      Returns:
        the host name (IP or DNS name)

    - #### getPort

          public int getPort()

      Description copied from interface: `NamedEndpoint`
      Returns the port.
      Specified by:
        `getPort` in interface `NamedEndpoint`
      Returns:
        the host port, or `-1` if not set

    - #### getAttachment

          public Object getAttachment()

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

Copyright © 2005–2021 The Apache Software Foundation. All rights reserved.